<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>iTimeoutTriggerFactory Struct Reference (CEL: Crystal Entity Layer 2.0 Public API Reference)</title>
<link href="tabs.css" rel="stylesheet" type="text/css">
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<table border="0" cellpadding="0" cellspacing="0" width="100%" class="head">
 <tr height="59">
  <td class="head" width="202" valign="bottom" style="padding-left:0;"><a href="http://cel.crystalspace3d.org/"><img src="celblur.png" width="210" height="59" alt="CEL" border="0"></a></td>
  <td class="head"><h2>Public API Reference</h2></td>
 </tr>
 <tr height="11">
  <td colspan="2" class="headshadow" valign="top" style="padding-left:0;"><img src="celshadow.png" width="9" height="11" alt="" border="0"></td>
 </tr>
</table>
<div class="content">
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">iTimeoutTriggerFactory Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="iTimeoutTriggerFactory" --><!-- doxytag: inherits="iBase" -->
<p>This interface is implemented by the trigger that fires when a certain time has expired.  
 <a href="structiTimeoutTriggerFactory.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="triggers_8h_source.html">tools/triggers.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for iTimeoutTriggerFactory:</div>
<div class="dyncontent">
 <div class="center">
  <img src="structiTimeoutTriggerFactory.png" usemap="#iTimeoutTriggerFactory_map" alt=""/>
  <map id="iTimeoutTriggerFactory_map" name="iTimeoutTriggerFactory_map">
<area doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html" alt="iBase" shape="rect" coords="0,0,143,24"/>
</map>
 </div></div>

<p><a href="structiTimeoutTriggerFactory-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiTimeoutTriggerFactory.html#a0951dbd3c03f6629f2a021beda5a6b27">SetTimeoutParameter</a> (const char *timeout_par)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the timeout on which this trigger will fire.  <a href="#a0951dbd3c03f6629f2a021beda5a6b27"></a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>This interface is implemented by the trigger that fires when a certain time has expired. </p>
<p>You can query this interface from the trigger factory if you want to manually control this factory as opposed to loading its definition from an XML document.</p>
<p>The predefined name of this trigger type is 'cel.triggers.timeout'.</p>
<p>In XML, factories recognize the following attributes on the 'fireon' node:</p>
<ul>
<li><em>timeout</em>: timeout value. </li>
</ul>

<p>Definition at line <a class="el" href="triggers_8h_source.html#l00488">488</a> of file <a class="el" href="triggers_8h_source.html">triggers.h</a>.</p>
</div><hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a0951dbd3c03f6629f2a021beda5a6b27"></a><!-- doxytag: member="iTimeoutTriggerFactory::SetTimeoutParameter" ref="a0951dbd3c03f6629f2a021beda5a6b27" args="(const char *timeout_par)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiTimeoutTriggerFactory.html#a0951dbd3c03f6629f2a021beda5a6b27">iTimeoutTriggerFactory::SetTimeoutParameter</a> </td>
          <td>(</td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>timeout_par</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set the timeout on which this trigger will fire. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">timeout_par</td><td>is the timeout value (in ms) or a parameter (starts with '$'). </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>tools/<a class="el" href="triggers_8h_source.html">triggers.h</a></li>
</ul>
</div><!-- contents -->
<hr size="1"><address><small>Generated for CEL: Crystal Entity Layer 2.0 by 
<a href="http://www.doxygen.org/index.html">doxygen</a> 1.7.6.1 
</small></address> </div></body> </html>
